com.oracle.truffle.api

## Interface CallTarget

All Known Subinterfaces:
  RootCallTarget

All Known Implementing Classes:
  DefaultCallTarget

    public interface CallTarget

Represents the target of a call.

### Method Summary

Methods
`java.lang.Object` `call(java.lang.Object... arguments)` Calls this target as a root method.

### Method Detail

#### call

    java.lang.Object call(java.lang.Object... arguments)

Calls this target as a root method.

Parameters:
  `arguments` - passed arguments as an object array
Returns:
  the return result of the call